xmonad-extras-0.17.2: Third party extensions for xmonad with wacky dependencies

Safe Haskell | None
Language | Haskell2010

XMonad.Actions.Invert

Contents

- Usage:

Description

Invert individual window contents via compton/picom compositing manager.

Since: 0.17.1

Synopsis

- inversionStatus :: Display -> Window -> X Bool
- invert :: Display -> Window -> Bool -> X ()

# Usage:

To use, first import this module into your `~/.xmonad/xmonad.hs` file:

    import XMonad.Actions.Invert

Then add an appropriate mouse binding:

        , ((modm, xK_i), withDisplay $ \dpy -> withFocused $ \w -> inversionStatus dpy w >>= \status -> invert dpy w $ not status)

For detailed instructions on editing your mouse bindings, see XMonad.Doc.Extending.

inversionStatus :: Display -> Window -> X Bool Source #

Ask compton/picom the inverted status of the specified window

invert :: Display -> Window -> Bool -> X () Source #

Tell compton/picom to set the inverted status of the specified window